import { css } from '@microsoft/fast-element';
/**
 * @public
 */
export const foundationServicesStatusStyles = css `
  :host {
    width: 100%;
    position: fixed;
    top: 0;
    z-index: 9999;

    --service-status-success-text-color: #fff;
    --service-status-success-bg-color: #2b4c42;
    --service-status-success-border-color: #48e89a;
    --service-status-failed-bg-color: #7c6040;
    --service-status-failed-border-color: #ffb660;
    --serivce-status-width: calc(100% - (var(--design-unit) * 2px));
    --serivce-status-left: calc(var(--design-unit) * 1px);
  }

  .service-status-message::part(snackbar) {
    position: relative;
    display: block;
    width: var(--serivce-status-width);
    top: 2px;
    left: var(--serivce-status-left);
    box-shadow: none;
    text-align: center;
    color: var(--service-status-success-text-color);
    font-size: var(--type-ramp-base-font-size);
    padding: calc(var(--design-unit) * 4px);
    border-radius: 0 0 5px 5px;
    border-top: 0;

    --snackbar-max-width: 100%;
    --snackbar-max-height: auto;
    --snackbar-animation-name: append-from-top-animate;
    --snackbar-animation-delete-name: delete-fade-animate;
  }

  .service-status-message::part(snackbar)::after {
    top: -2px;
    transform: none;
    width: 100%;
    height: 2px;
    border-radius: 0;
  }

  .service-status-message-restored::part(snackbar) {
    background-color: var(--service-status-success-bg-color);
  }

  .service-status-message-restored::part(snackbar)::after {
    background-color: var(--service-status-success-border-color);
  }

  .service-status-message::part(content) {
    height: 100%;
    width: calc(100% - (var(--design-unit) * 16px));
    padding: 0 calc(var(--design-unit) * 8px);
  }

  .content {
    width: 100%;
    margin: 0;
    padding: 0;
    font-size: var(--type-ramp-plus-2-font-size);
  }

  .content-element {
    display: inline-block;
  }

  .content-text {
    padding: 0 calc(var(--design-unit) * 4px);
  }

  .content-service-name {
    font-size: var(--type-ramp-plus-6-font-size);
    font-weight: 700;
  }

  .content-buttons .link {
    display: inline;
    background: none;
    padding: 0;
    margin: 0;
    color: var(--accent-fill-rest);
    height: auto;
  }

  .content-buttons .link::part(control) {
    display: inline;
    font-weight: 700;
    font-size: var(--type-ramp-plus-2-font-size);
    padding: 0;
    margin: 0;
  }

  .service-status-message-failed::part(snackbar) {
    background-color: var(--service-status-failed-bg-color);
  }

  .service-status-message-failed::part(snackbar)::after {
    background-color: var(--service-status-failed-border-color);
  }

  .action {
    position: absolute;
    right: calc(var(--design-unit) * 2px);
    top: calc(var(--design-unit) * 2px);
    padding: 0;
    margin: 0;
  }

  .button-close {
    background: none;
    min-width: auto;
    height: auto;
    padding: 0;
    margin: 0;
    cursor: pointer;
    vertical-align: middle;

    --close-icon-fill: #879ba6;
  }

  .button-close:hover {
    --close-icon-fill: #fff;
  }

  .button-close::part(start) {
    margin-inline-end: 0;
  }

  .button-close::part(control) {
    padding: calc(var(--design-unit) * 2px);
  }

  .button-close:hover::part(control) {
    background: #39584f;
  }
`;
